Run a native coding client with stateless Responses.
Replay the conversation in input. Supports text, client-executed function/custom tools, namespace tools and incremental streaming. Stored response IDs, background requests and provider-hosted tools are unavailable. The dashboard key routes only to permitted owned machines. Request bodies are limited to 1 MiB.
POST
/v1/api/responses
Replay the conversation in input. Supports text, client-executed
function/custom tools, namespace tools and incremental streaming.
Stored response IDs, background requests and provider-hosted tools are
unavailable. The dashboard key routes only to permitted owned machines.
Request bodies are limited to 1 MiB.
Authentication
Bearer Token (b3iq_gateway)
Header Parameters
x-b3iq-node-id
string
optional
header
Optional permitted owned-machine pin. Competing pins must agree.
Request Body required
application/jsonmodel
string
REQUIRED
input
string | object[]
REQUIRED
One of:
Option 1string
Option 2
Array of:
object
instructions
string
tools
object[]
Array of:
object
stream
boolean
max_output_tokens
integer
store
unknown
Responses
200
A Responses object or incremental Responses event stream.
application/jsonobject
default
OpenAI-compatible error with B3IQ metadata.
curl -X POST 'https://b3iq.org/v1/api/responses' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "model": "string", "input": "string", "instructions": "string", "tools": [ {} ], "stream": true, "max_output_tokens": 1, "store": null}'
const response = await fetch('https://b3iq.org/v1/api/responses', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "model": "string", "input": "string", "instructions": "string", "tools": [ {} ], "stream": true, "max_output_tokens": 1, "store": null })});const data = await response.json();console.log(data);
200
Response
"<object>"
API Playground
Try this endpoint
POST
/v1/api/responses

